#include <stdlib.h>
#include <stdio.h>
#include "../vec2/vec2.h"
#include "particle.h"

int main() {
    particle p = particle_create(vec2_create(0.0,0.0), 1.0);
    particle_print(p);

    int number = 10;
    particle *parts = particle_create_random_list(vec2_create(0.0,0.0), vec2_create(1.0, 1.0), 0.0, 10.0, number);
    particle_print_list(parts, number);

    vec2 force = particle_compute_grav_force(parts[0], p);
    vec2_print(force);

    vec2 *forces = particle_compute_grav_resultant_forces(parts, number);
    for (int ip = 0; ip < number; ++ip) {
        printf("force %d: \n", ip);
        vec2_print(forces[ip]);
    }

    double k = 10.0;
    vec2 vel[number];
    for (int ip = 0; ip < number; ++ip) {
        vel[ip] = vec2_create_random(vec2_create(0.0,0.0), vec2_create(1.0, 1.0));
    }
    vec2 *forces_friction = particle_compute_grav_friction_resultant_forces(parts, vel, k, number);

    for (int ip = 0; ip < number; ++ip) {
        printf("force %d: \n", ip);
        vec2_print(forces_friction[ip]);
    }

    free(parts);
    free(forces);
    free(forces_friction);
}